/*
 * graphic_element.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 * This is used internally by DrawUI. It is also used by EntityMap::draw.
 *
 */

#ifndef GRAPHIC_ELEMENT_HPP
#define GRAPHIC_ELEMENT_HPP

class ColourChange;
class Graphic;

struct GraphicElement {
	int sx, sy;
	const Graphic *gr;
	const ColourChange *cc;
};

#endif
